Bug 25711 - Kudzu doesn't detect yenta-socket module (was: pcmcia network card is not working)
Summary: Kudzu doesn't detect yenta-socket module (was: pcmcia network card is not wor...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard: Florence Gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-02 13:48 UTC by Jorit Dorn
Modified: 2014-03-17 02:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-19 22:44:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg message from booting on a toshiba laptop with broken pcmcia card services (6.67 KB, text/plain)
2001-02-02 14:11 UTC, Jorit Dorn
no flags Details
lspci and lspci -n (1.28 KB, text/plain)
2001-02-14 09:27 UTC, Jorit Dorn
no flags Details
installation description (766 bytes, text/plain)
2001-02-14 09:28 UTC, Jorit Dorn
no flags Details
pcmcia from /etc/sysconfig (38 bytes, text/plain)
2001-02-14 09:31 UTC, Jorit Dorn
no flags Details

Description Jorit Dorn 2001-02-02 13:48:13 UTC
On my Toshiba Setellite 2710 my Xircom Realport pcmcia card (xirc2ps_cs.o)
is not detected during install (normal boot-disk).

After the installation (in nofb-mode) the insertion of the module fails
(ds.o actually fails) during the modprobe

Comment 1 Arjan van de Ven 2001-02-02 13:56:54 UTC
What kind of port-adaport do you have? (and "i82365" based or a "yenta" based)
the last part of dmesg should tell you (on a working kernel), look for words
like "PCIC" or "cardbus"..
It would be a great help if you could past those relevant lines. 
(and if dmesg of your beta-system shows something interesting, please paste
them as well here)

Comment 2 Jorit Dorn 2001-02-02 14:11:39 UTC
Created attachment 8739 [details]
dmesg message from booting on a toshiba laptop with broken pcmcia card services

Comment 3 Jorit Dorn 2001-02-02 14:12:23 UTC
Hi again :-)

dmesg output from fisher:
PCI: Found IRQ 11 for device 00:0b.1
PCI: The same IRQ used for device 00:0c.0
  got res[10000000:10000fff] for resource 0 of Toshiba America Info Systems
ToPIC95 PCI to Cardbus Bridge with ZV Support
  got res[10001000:10001fff] for resource 0 of Toshiba America Info Systems
ToPIC95 PCI to Cardbus Bridge with ZV Support (#2)

/sbin/probe from rh 7.0:
PCI bridge probe: Toshiba ToPIC100 found, 2 sockets.

dmesg from rh 7.0, kernel 2.2.16-22:
Linux PCMCIA Card Services 3.1.19
  kernel build: 2.2.16-22 #1 Tue Aug 22 16:49:06 EDT 2000
  options:  [pci] [cardbus] [apm]
PCI routing table version 1.0 at 0xf0190
Intel PCIC probe: 
  Toshiba ToPIC100 rev 20 PCI-to-CardBus at slot 00:0b, mem 0x68000000
    host opts [0]: [slot 0xf0] [ccr 0x10] [cdr 0x86] [rcr 0xc000000] [pci irq
11] [lat 64/176] [bus 20/20]
    host opts [1]: [slot 0xf0] [ccr 0x20] [cdr 0x86] [rcr 0xc000000] [pci irq
11] [lat 64/176] [bus 21/21]
    PCI irq 11 test failed
    ISA irqs (default) = 3,4,5,7,9,10,12 polling interval = 1000 ms
cs: IO port probe 0x0c00-0x0cff: excluding 0xcf8-0xcff
cs: IO port probe 0x0800-0x08ff: clean.
cs: IO port probe 0x0100-0x04ff: excluding 0x378-0x37f 0x4d0-0x4d7
cs: IO port probe 0x0a00-0x0aff: clean.

The complete dmesg file is attached.

Jorit

Comment 4 Glen Foster 2001-02-02 23:08:42 UTC
We (Red Hat) should really fix this before the next release.

Comment 5 Arjan van de Ven 2001-02-05 15:08:24 UTC
Can you try "modprobe yenta_socket" and then "modprobe ds" ?
(and then start cardmgr)

Comment 6 Jorit Dorn 2001-02-05 16:00:45 UTC
It works! :-)

But it should be detected by the system, isn't it?

Thx
Jorit


Comment 7 Arjan van de Ven 2001-02-05 16:05:07 UTC
Yes it should. However, that is not a kernel bug, but a bug in the hardware
probe program. Re-assigning to kudzu. You might be able to help them
by pasting the output of _both_ "lspci" and "lspci -n"


Comment 8 Bill Nottingham 2001-02-14 05:46:22 UTC
What does your /etc/sysconfig/pcmcia look like, and what's the output
of 'lspci' on your system?

Comment 9 Jorit Dorn 2001-02-14 09:27:45 UTC
Created attachment 10000 [details]
lspci and lspci -n

Comment 10 Jorit Dorn 2001-02-14 09:28:53 UTC
Created attachment 10001 [details]
installation description

Comment 11 Jorit Dorn 2001-02-14 09:29:33 UTC
I hope it helps :-)



Comment 12 Jorit Dorn 2001-02-14 09:31:44 UTC
Created attachment 10002 [details]
pcmcia from /etc/sysconfig

Comment 13 Bill Nottingham 2001-02-19 22:44:06 UTC
What does your /etc/sysconfig/hwconf say?


Comment 14 Bill Nottingham 2001-02-19 22:49:45 UTC
Actually, now that I see it, you used the wrong  boot disk. If you
boot with pcmcia.img instead, it should work fine.

Comment 15 Jorit Dorn 2001-02-26 08:25:53 UTC
yeah it does :-) But it should be working just by inserting the cdrom with the 
rh7.1, isn't it?

It works fine with wolverine and the pcmcia boot disk :-)


Note You need to log in before you can comment on or make changes to this bug.